/* FichothequeLib_API - Copyright (c) 2022 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.selection;

import net.mapeadores.util.primitives.Ranges;


/**
 *
 * @author Vincent Calame
 */
public interface RangeCondition {

    public boolean isExclude();

    public Ranges getRanges();

    public default boolean accept(int value) {
        boolean contains = getRanges().contains(value);
        if (isExclude()) {
            return !contains;
        } else {
            return contains;
        }
    }

}
